GDBserver

Public Attributes | List of all members
traceframe Struct Reference

## Public Attributes
int | tpnum: 16
unsigned int | data_size: 32
unsigned char | data [0]

## Detailed Description

Definition at line 953 of file tracepoint.c.

## Member Data Documentation

## ◆ data

unsigned char traceframe::data[0]

Definition at line 968 of file tracepoint.c.

Referenced by traceframe_find_regblock(), traceframe_read_info(), traceframe_read_mem(), traceframe_read_sdata(), traceframe_read_tsv(), and upload_fast_traceframes().

## ◆ data_size

unsigned int traceframe::data_size

Definition at line 965 of file tracepoint.c.

Referenced by add_traceframe(), add_traceframe_block(), traceframe_find_regblock(), traceframe_read_info(), traceframe_read_mem(), traceframe_read_sdata(), and traceframe_read_tsv().

## ◆ tpnum

int traceframe::tpnum

Definition at line 959 of file tracepoint.c.

Referenced by add_traceframe(), add_traceframe_block(), cmd_qtframe(), fetch_traceframe_registers(), find_next_traceframe_by_tracepoint(), find_next_traceframe_in_range(), find_traceframe(), get_traceframe_address(), and trace_buffer_alloc().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/tracepoint.c